/*
 * BoyerMooreHorspool.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Jan Travnicek
 */

#include "BoyerMooreHorspool.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace exact {

auto BoyerMooreHorspoolPrefixRankedBarTreePrefixRankedBarTree = registration::AbstractRegister < BoyerMooreHorspool, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarTree < > & > ( BoyerMooreHorspool::match );
auto BoyerMooreHorspoolPrefixRankedBarTreePrefixRankedBarPattern = registration::AbstractRegister < BoyerMooreHorspool, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarPattern < > & > ( BoyerMooreHorspool::match );
auto BoyerMooreHorspoolPrefixRankedBarTreePrefixRankedBarNonlinearPattern = registration::AbstractRegister < BoyerMooreHorspool, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarNonlinearPattern < > & > ( BoyerMooreHorspool::match );

} /* namespace exact */

} /* namespace arbology */
