/*
 * Author: Radovan Cerveny
 */

#include "NaiveDAWGMatcherConstruction.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace matching {

auto NaiveDAWGMatcherConstructionLinearString = registration::AbstractRegister < NaiveDAWGMatcherConstruction, indexes::stringology::SuffixAutomaton < >, const string::LinearString < > & > ( NaiveDAWGMatcherConstruction::naiveConstruct );

} /* namespace matching */

} /* namespace stringology */
