/*
 * BitParallelismFactors.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "BitParallelismFactors.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace query {

auto BitParallelismFactorsLinearString = registration::AbstractRegister < BitParallelismFactors, ext::set < unsigned >, const indexes::stringology::BitParallelIndex < > &, const string::LinearString < > & > ( BitParallelismFactors::query );

} /* namespace query */

} /* namespace stringology */
