/*
 * BadCharacterShiftTable.cpp
 *
 *  Created on: 6. 3. 2018
 *	  Author: Michal Cvach
 */

#include "QuickSearchBadCharacterShiftTable.h"
#include <registration/AlgoRegistration.hpp>

namespace tree {

namespace properties {

auto QuickSearchBadCharacterShiftTablePrefixRankedBarPattern = registration::AbstractRegister < QuickSearchBadCharacterShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedBarPattern < > & > ( QuickSearchBadCharacterShiftTable::bcs );
auto QuickSearchBadCharacterShiftTablePrefixRankedBarNonlinearPattern = registration::AbstractRegister < QuickSearchBadCharacterShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedBarNonlinearPattern < > & > ( QuickSearchBadCharacterShiftTable::bcs );

} /* namespace properties */

} /* namespace tree */
