/*
 * RTEOptimize.cpp
 *
 *  Created on: 1. 4. 2019
 *	  Author: Jan Travnicek
 */

#include "RTEOptimize.h"
#include <registration/AlgoRegistration.hpp>

namespace rte {

namespace simplify {

auto RTEOptimizeFormalRTE = registration::AbstractRegister < RTEOptimize, FormalRTE < >, const FormalRTE < > & > ( RTEOptimize::optimize, "rte" ).setDocumentation (
"Implements a rte simplification algorithm that is transforming the regular expression to be smaller.\n\
\n\
@param rte the simplified rte\n\
@return the simlified rte" );

} /* namespace rte */

} /* namespace simplify */
