/*
 * BNDMMatcherConstruction.cpp
 *
 *  Created on: 6. 2. 2017
 *      Author: Jan Travnicek
 */

#include "BNDMMatcherConstruction.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace matching {

auto BNDMIndexConstructionLinearString = registration::AbstractRegister < BNDMMatcherConstruction, indexes::stringology::BitSetIndex < >, const string::LinearString < > & > ( BNDMMatcherConstruction::construct );

} /* namespace matching */

} /* namespace stringology */
