/*
 * Author: Radovan Cerveny
 */

#include "BackwardDAWGMatching.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace query {

auto BackwardDAWGMatchingLinearStringLinearString = registration::AbstractRegister < BackwardDAWGMatching, ext::set < unsigned >, const string::LinearString < > &, const indexes::stringology::SuffixAutomaton < > & > ( BackwardDAWGMatching::match );

} /* namespace query */

} /* namespace stringology */
